# Class: host&#95;patch

**This class is deprecated.**

Represents a patch stored on a server

## Fields for class: host&#95;patch

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`applied`           |`bool`              |_RO/runtime_   |**Deprecated.** True if the patch has been applied      |
|`host`              |`host ref`          |_RO/constructor_|**Deprecated.** Host the patch relates to               |
|`name_description`  |`string`            |_RO/constructor_|**Deprecated.** a notes field containing human&#45;readable description|
|`name_label`        |`string`            |_RO/constructor_|**Deprecated.** a human&#45;readable name               |
|`other_config`      |`(string -> string) map`|_RW_           |**Deprecated.** additional configuration                |
|`pool_patch`        |`pool_patch ref`    |_RO/constructor_|**Deprecated.** The patch applied                       |
|`size`              |`int`               |_RO/runtime_   |**Deprecated.** Size of the patch                       |
|`timestamp_applied` |`datetime`          |_RO/runtime_   |**Deprecated.** Time the patch was applied              |
|`uuid`              |`string`            |_RO/runtime_   |**Deprecated.** Unique identifier/object reference      |
|`version`           |`string`            |_RO/constructor_|**Deprecated.** Patch version number                    |

## RPCs associated with class: host&#95;patch

### RPC name: add&#95;to&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Add the given key&#45;value pair to the other&#95;config field of the given host&#95;patch.

_Signature:_

```
void add_to_other_config (session ref session_ref, host_patch ref self, string key, string value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to add                              |
|`string`                      |`value`                       |Value to add                            |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: apply

**This message is deprecated.**

_Overview:_

Apply the selected patch and return its output

_Signature:_

```
string apply (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |The patch to apply                      |

_Minimum Role:_ pool-operator

_Return Type:_ `string`

the output of the patch application process

### RPC name: destroy

**This message is deprecated.**

_Overview:_

Destroy the specified host patch, removing it from the disk. This does NOT reverse the patch

_Signature:_

```
void destroy (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |The patch to destroy                    |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: get&#95;all

**This message is deprecated.**

_Overview:_

Return a list of all the host&#95;patchs known to the system.

_Signature:_

```
host_patch ref set get_all (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `host_patch ref set`

references to all objects

### RPC name: get&#95;all&#95;records

**This message is deprecated.**

_Overview:_

Return a map of host&#95;patch references to host&#95;patch records for all host&#95;patchs known to the system.

_Signature:_

```
(host_patch ref -> host_patch record) map get_all_records (session ref session_ref)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |

_Minimum Role:_ read-only

_Return Type:_ `(host_patch ref -> host_patch record) map`

records of all objects

### RPC name: get&#95;applied

**This message is deprecated.**

_Overview:_

Get the applied field of the given host&#95;patch.

_Signature:_

```
bool get_applied (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `bool`

value of the field

### RPC name: get&#95;by&#95;name&#95;label

**This message is deprecated.**

_Overview:_

Get all the host&#95;patch instances with the given label.

_Signature:_

```
host_patch ref set get_by_name_label (session ref session_ref, string label)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`label`                       |label of object to return               |

_Minimum Role:_ read-only

_Return Type:_ `host_patch ref set`

references to objects with matching names

### RPC name: get&#95;by&#95;uuid

**This message is deprecated.**

_Overview:_

Get a reference to the host&#95;patch instance with the specified UUID.

_Signature:_

```
host_patch ref get_by_uuid (session ref session_ref, string uuid)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`string`                      |`uuid`                        |UUID of object to return                |

_Minimum Role:_ read-only

_Return Type:_ `host_patch ref`

reference to the object

### RPC name: get&#95;host

**This message is deprecated.**

_Overview:_

Get the host field of the given host&#95;patch.

_Signature:_

```
host ref get_host (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `host ref`

value of the field

### RPC name: get&#95;name&#95;description

**This message is deprecated.**

_Overview:_

Get the name/description field of the given host&#95;patch.

_Signature:_

```
string get_name_description (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;name&#95;label

**This message is deprecated.**

_Overview:_

Get the name/label field of the given host&#95;patch.

_Signature:_

```
string get_name_label (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Get the other&#95;config field of the given host&#95;patch.

_Signature:_

```
(string -> string) map get_other_config (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `(string -> string) map`

value of the field

### RPC name: get&#95;pool&#95;patch

**This message is deprecated.**

_Overview:_

Get the pool&#95;patch field of the given host&#95;patch.

_Signature:_

```
pool_patch ref get_pool_patch (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `pool_patch ref`

value of the field

### RPC name: get&#95;record

**This message is deprecated.**

_Overview:_

Get a record containing the current state of the given host&#95;patch.

_Signature:_

```
host_patch record get_record (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `host_patch record`

all fields from the object

### RPC name: get&#95;size

**This message is deprecated.**

_Overview:_

Get the size field of the given host&#95;patch.

_Signature:_

```
int get_size (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `int`

value of the field

### RPC name: get&#95;timestamp&#95;applied

**This message is deprecated.**

_Overview:_

Get the timestamp&#95;applied field of the given host&#95;patch.

_Signature:_

```
datetime get_timestamp_applied (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `datetime`

value of the field

### RPC name: get&#95;uuid

**This message is deprecated.**

_Overview:_

Get the uuid field of the given host&#95;patch.

_Signature:_

```
string get_uuid (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: get&#95;version

**This message is deprecated.**

_Overview:_

Get the version field of the given host&#95;patch.

_Signature:_

```
string get_version (session ref session_ref, host_patch ref self)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |

_Minimum Role:_ read-only

_Return Type:_ `string`

value of the field

### RPC name: remove&#95;from&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Remove the given key and its corresponding value from the other&#95;config field of the given host&#95;patch.  If the key is not in that Map, then do nothing.

_Signature:_

```
void remove_from_other_config (session ref session_ref, host_patch ref self, string key)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |
|`string`                      |`key`                         |Key to remove                           |

_Minimum Role:_ pool-operator

_Return Type:_ `void`

### RPC name: set&#95;other&#95;config

**This message is deprecated.**

_Overview:_

Set the other&#95;config field of the given host&#95;patch.

_Signature:_

```
void set_other_config (session ref session_ref, host_patch ref self, (string -> string) map value)
```

_Arguments:_

|Type                          |Name                          |Description                             |
|:-----------------------------|:-----------------------------|:---------------------------------------|
|`session ref`                 |`session_ref`                 |Reference to a valid session            |
|`host_patch ref`              |`self`                        |reference to the object                 |
|`(string -> string) map`      |`value`                       |New value to set                        |

_Minimum Role:_ pool-operator

_Return Type:_ `void`
